﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace LerouxTechnologies.Services.Model
{
    public partial class Role
    {
        public Role()
        {
            
        }

        public Role(int roleId)
        {
            var db = new lerouxtechnologiesEntities();
            this.RoleId = roleId;
            this.RoleName = db.Roles.Single(role => role.RoleId == roleId).RoleName;
            
        }

        public static Role GetRole(string roleName)
        {
            var db = new lerouxtechnologiesEntities();
            return db.Roles.Single(role => role.RoleName == roleName);
        }

        public static Role GetRole(int roleId)
        {
            var db = new lerouxtechnologiesEntities();
            return db.Roles.Single(role => role.RoleId == roleId);

        }

        public static int GetRoleId(DAL.Classes.Member.Roles value)
        {
            string roleName = value.ToString();
            var db = new lerouxtechnologiesEntities();

            return db.Roles.Single(role => role.RoleName == roleName).RoleId;

        }
    }
}