﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using LerouxTechnologies.Services.DAL.Classes;

namespace LerouxTechnologies.Services
{
    [ServiceContract]
    public interface IMembership
    {
        [OperationContract]
        void Register(Member item);

        [OperationContract]
        bool LogIn(string username, string password);

        [OperationContract]
        void DeleteAccount(Member item);

        [OperationContract]
        void ChangeInformation(Member item);

        [OperationContract]
        Member GetMember(int id);

        [OperationContract]
        List<Member> GetMembers();

    }

}
