﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using LerouxTechnologies.Services.DAL;
using LerouxTechnologies.Services.DAL.Classes;

namespace LerouxTechnologies.Services
{
    public class Membership : IMembership
    {
        #region Implementation of IMembership

        MembersService db = new MembersService(); // Call the service

        public void Register(Member item)
        {
            db.Create(item);
        }

        public bool LogIn(string username, string password)
        {
            return db.Retrieve(username).Password.Hash == password;
        }

        public void DeleteAccount(Member item)
        {
            db.Delete(item);
        }

        public void ChangeInformation(Member item)
        {
            db.Update(item);
        }

        public Member GetMember(int id)
        {
            return (Member) db.Retrieve(id);
        }

        public List<Member> GetMembers()
        {
            return null;
        }

        #endregion
    }
}
